Jw_cad 相談室−その2 New

 Jw_cad についての相談の場としてお使いください
情報の交換には Jw_cad 情報交換室 をご利用ください
なお、情報交換室と相談室の両方に同じ内容を投稿するのはご遠慮ください

2009年9月以前の発言過去ログのページからご覧ください。

それ以降の過去ログは消失しています。
申し訳ありませんが、復活の予定はありません。


  新規投稿 ┃ツリー表示 ┃スレッド表示 ┃一覧表示 ┃トピック表示 ┃番号順表示 ┃検索 ┃設定 ┃過去ログ ┃ホーム  
42 / 347 ツリー    ←次へ | 前へ→

J-GARU2000インストール wakui 20/7/28(火) 13:06

Re:J-GARU2000インストール sugi 20/7/30(木) 20:41
Re:J-GARU2000インストール wakui 20/7/30(木) 22:37
Re:J-GARU2000インストール R.N 20/7/31(金) 0:03
Re:J-GARU2000インストール sugi 20/7/31(金) 1:23
Re:J-GARU2000インストール wakui 20/7/31(金) 8:34
Re:J-GARU2000インストール sugi 20/7/31(金) 12:31
Re:J-GARU2000インストール wakui 20/7/31(金) 22:17
Re:外変Ruby導入 R.N 20/8/2(日) 8:43
Re:外変Ruby導入 sugi 20/8/2(日) 15:27
Re:外変Ruby導入 wakui 20/8/18(火) 13:10
Re:外変Ruby導入 sugi 20/8/19(水) 16:53
Re:外変Ruby導入 wakui 20/8/19(水) 20:47
Re:外変Ruby導入 wakui 20/8/20(木) 8:21
Re:外変Ruby導入 sugi 20/8/20(木) 9:23
Re:外変Ruby導入 wakui 20/8/20(木) 23:05
Re:外変Ruby導入 wakui 20/8/21(金) 11:31

Re:J-GARU2000インストール
 sugi  - 20/7/30(木) 20:41 -
安易にruby2.* を勧めたのは今回の場合ちょっと失敗でした。
gHeronはVisualuRubyを使っているのですが ruby2.* にはこれが入っていません。

【動作環境】 mswin32-ruby 1.8.1以降
となっているので素直にこれに従った方が良さそうです。
ActiveScriptRuby のバイナリから ActiveScriptRuby(1.8.7-p330) をダウンロードしてインストールすれば動作することを確認できました。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.105 Safari/537.36@global221-160-216.aitai.ne.jp>
・ツリー全体表示

Re:J-GARU2000インストール
 wakui  - 20/7/30(木) 22:37 -
ありがとうございました。
明日事務所で確認します。ただ187でもダメだったような
気がしますけど・・・。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.89 Safari/537.36@p3076132-ipoe.ipoe.ocn.ne.jp>
・ツリー全体表示

Re:J-GARU2000インストール
 R.N  - 20/7/31(金) 0:03 -
▼sugiさん:
>安易にruby2.* を勧めたのは今回の場合ちょっと失敗でした。
>gHeronはVisualuRubyを使っているのですが ruby2.* にはこれが入っていません。
>
>【動作環境】 mswin32-ruby 1.8.1以降
>となっているので素直にこれに従った方が良さそうです。
>ActiveScriptRuby のバイナリから ActiveScriptRuby(1.8.7-p330) をダウンロードしてインストールすれば動作することを確認できました。

sugiさん、こんばんは、

私は、「Ruby1.8.6-p369」をメイン(環境変数でPATHを通して)で、使ってましたが、
http://yakushima-tonbo.com/jw_cad/ruby/
の記事を見て、同じ1.8系なら、新しい方がいいかなと思い、「ruby-1.8.7-p374」に移行しています。(リンクアドレスのライブラリを追記)

「ActiveScriptRuby(1.8.7-p330)だけで済むのであれば、無駄なことだったのかな〜
でも、ライブラリを追記しないと、「gheron」は動作しないような?

【注】
「vrswin-060205-i386-mswin32-1.8.zip」
「vruby-061102-i386-mswin32-1.8.zip」
は、現在リンク切れのようですが

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:79.0) Gecko/20100101 Firefox/79.0@pl23116.ag2001.nttpc.ne.jp>
・ツリー全体表示

Re:J-GARU2000インストール
 sugi  - 20/7/31(金) 1:23 -
▼R.Nさん:
>私は、「Ruby1.8.6-p369」をメイン(環境変数でPATHを通して)で、使ってましたが、
>http://yakushima-tonbo.com/jw_cad/ruby/
>の記事を見て、同じ1.8系なら、新しい方がいいかなと思い、「ruby-1.8.7-p374」に移行しています。(リンクアドレスのライブラリを追記)

確認してみたのですが上記サイトからたどった先の「Ruby 1.8.7-p330」「Ruby 1.8.7-p374」にはVisualuRubyが入ってないですね。

https://www.artonx.org/data/asr/
ActiveScriptRuby(1.8.7-p330 --with-winsock2 --enable-tcltk-stub) Microsoft Installer Package (1.8.7.36) 15,172,608バイト
こちらからインストールすれば最初からVisualuRubyが入ってるのでライブラリの追加とかしなくてもそのまま ghelon が使えて簡単です。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.105 Safari/537.36@global221-160-216.aitai.ne.jp>
・ツリー全体表示

Re:J-GARU2000インストール
 wakui  - 20/7/31(金) 8:34 -
▼sugiさん:

おはようございます。
教えて頂いた https://www.artonx.org/data/asr/ 
からの ActiveScriptRuby ですが、やったのですが私の会社のPCでは
インストーラーが正しくないとか何とかで、残念ながらインストール
出来ず Rubyが相変わらず動いていません。
残念です。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.105 Safari/537.36@p22021-ipngnfx01morioka.iwate.ocn.ne.jp>
・ツリー全体表示

Re:J-GARU2000インストール
 sugi  - 20/7/31(金) 12:31 -
拡張子 msi の windows インストーラーからはインストールできませんでしたか orz
インストールできなかった原因が分からなくってちょっと気持ち悪いんですが仕方ないのでインストーラーを使わないで手動で入れてみましょう。

http://ftp.ruby-lang.org/pub/ruby/binaries/mswin32/
ruby-1.8.7-p330-i386-mswin32.zip

上記から mswin版ruby をダウンロードして展開。c:\ruby とかにしておく。

http://ftp.ruby-lang.org/pub/ruby/binaries/mswin32/ext/
vrswin-060205-i386-mswin32-1.8.zip
vruby-061102-i386-mswin32-1.8.zip

上記のファイルをダウンロードして展開しできた doc,lib のフォルダを c:\ruby にコピー。

これで試してみてください。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.105 Safari/537.36@global221-160-216.aitai.ne.jp>
・ツリー全体表示

Re:J-GARU2000インストール
 wakui  - 20/7/31(金) 22:17 -
▼sugiさん:
残念ながら未実行で動きませんでした。
何かが違うから、とは解ってはいますが疲れました。
rubyの外変が全てダメなので実務では困るのですが、自分のノート
ワークステーションでは動いていますので、そちらで処理する事にして
しばらく頭冷やします。

皆さん、色々試して頂きありがとうございました。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.105 Safari/537.36@p3076132-ipoe.ipoe.ocn.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 R.N  - 20/8/2(日) 8:43 -
▼wakuiさん:

>残念ながら未実行で動きませんでした。
>何かが違うから、とは解ってはいますが疲れました。
>rubyの外変が全てダメなので実務では困るのですが、自分のノート
>ワークステーションでは動いていますので、そちらで処理する事にして
>しばらく頭冷やします。

こちらのページが更新されました。(リンクも回復)
(2020/08/01(追記) N.Misumiさん、ありがとうございます)
http://yakushima-tonbo.com/jw_cad/ruby/
頭が冷えたら?、覗いてみて下さい。
自分のPCを参考にしてもいいかと---

<追記>
sugiさん、助言すみません。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:79.0) Gecko/20100101 Firefox/79.0@pl23116.ag2001.nttpc.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 sugi  - 20/8/2(日) 15:27 -
お疲れ様です。仕事が早くて感心したのですが、ひとつ気になる点があったので確認させてください。

rubyinstaller-1.9.2-p290.exeをダウンロードして c:/ruby192 にインストールしたうえでロードパスの確認をしました。

> c:/ruby192/bin/ruby -e &#39;puts $LOAD_PATH&#39;
c:/ruby192/lib/ruby/site_ruby/1.9.1
c:/ruby192/lib/ruby/site_ruby/1.9.1/i386-msvcrt
c:/ruby192/lib/ruby/site_ruby
c:/ruby192/lib/ruby/vendor_ruby/1.9.1
c:/ruby192/lib/ruby/vendor_ruby/1.9.1/i386-msvcrt
c:/ruby192/lib/ruby/vendor_ruby
c:/ruby192/lib/ruby/1.9.1
c:/ruby192/lib/ruby/1.9.1/i386-mingw32

一方で vruby と vrswin は ver1.8 を使用しているため
vruby のインストール先は ruby/lib/site_ruby/1.8/vr
vrswin のインストール先は ruby/lib/site_ruby/1.8/i386-imsvcrt/

どちらも $LOAD_PATH に含まれていないため私の環境では load できないってエラーが出て gheron が実行できませんでした。ロードパス上にコピーしてエラーを回避してもバージョンが異なるためか別のエラーが出てしまったのですが、Yakushima-Tonboさんの環境では問題なかったのでしょうか?

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.105 Safari/537.36@global221-160-216.aitai.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 wakui  - 20/8/18(火) 13:10 -
▼sugiさん:

私も 1.9.2-p290 でもダメでした。
その後vruby vrswin のlib を入れてもダメでした。

ruby:Illegal switch in RUBYOPT: -E(Runtime Error)

と蹴られます。

何故か?

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.125 Safari/537.36@p22021-ipngnfx01morioka.iwate.ocn.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 sugi  - 20/8/19(水) 16:53 -
状況が分からなくなってきたので、これまでのところをちょっとまとめてみます。

・J_GARU のインストールは失敗する。
(wakui - 20/7/28(火) 13:06)
原因は不明。

・ActiveRuby のインストーラーからのインストールは失敗する。
(wakui - 20/7/31(金) 8:34)
原因は不明。
Windowsインストーラー(拡張子.msi)を利用しているため、セキュリティの関係とかかも。(適当)

・ActiveRuby の手動でのインストールは失敗する。
(wakui - 20/7/31(金) 22:17)
原因は不明。パスの設定がうまくいってないとかかも。(適当)

・RubyInstaller からインストールした ruby は動くらしい。
(wakui - 20/8/18(火) 13:10)

……ということは RubyInstallerで ruby1.8 をインストールしたところに VisualuRuby を突っ込んでやるのが手っ取り早いのかも。

1.ruby のインストール
https://rubyinstaller.org/downloads/archives/ から rubyinstaller-1.8.7-p330.exe をダウンロードしてインストール(仮にインストール先は c:\ruby とする)

2.VisualuRuby のインストール
http://ftp.ruby-lang.org/pub/ruby/binaries/mswin32/ext/
vrswin-060205-i386-mswin32-1.8.zip
vruby-061102-i386-mswin32-1.8.zip
上記のファイルをダウンロードして展開しできた doc,lib のフォルダを c:\ruby にコピー。

うちの環境ではこの方法でインストールして gHeron が動作したのを確認できましたので、一度この方法で試してみてください。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.125 Safari/537.36@global221-160-216.aitai.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 wakui  - 20/8/19(水) 20:47 -
ありがとうございました。あす事務所でやってみます。

ところで、ある時期までruby外変は動いていましたし、
rubyインストーラーではなく、J_GARU の設定で動いていた
と思います。ということは C\windows\system32 だか
syswow64 だかにrubyが入っているような気がしますが
それらは全部削除すべきでしょうか。そうでしょうね。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.125 Safari/537.36@p3076132-ipoe.ipoe.ocn.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 wakui  - 20/8/20(木) 8:21 -
朝試してみたのですが、結局ダメでした。
コマンドプロンプトでパスを確認したところ
187のverは表示してくれましたが、その下の行に
RuntimeErrorの表示が出ています。
このPCが悪いのか、最近の会社の設定のせいなのか
(たぶんこれは在り得ない)、他のPCで試したいのですが
なかなか・・・です。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.135 Safari/537.36@p22021-ipngnfx01morioka.iwate.ocn.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 sugi  - 20/8/20(木) 9:23 -
ruby:Illegal switch in RUBYOPT: -E(Runtime Error)
というエラーでしょうか?
どうも環境変数 RUBYOPT が悪さをしてるようですね。

http://siegel.cocolog-nifty.com/siegels_blog/2010/09/ruby-one-click-.html
siegel さんのところのブログの記事にならってシステム環境変数の RUBYOPTの変数値を空欄にする。

あるいはBATファイル(gHeron.bat)で ruby を実行する前に一行追加して
set RUBYOPT=
ruby -Ks heron.rb temp.txt
とかしてやればこのエラーは回避できるかと思います。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.125 Safari/537.36@global221-160-216.aitai.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 wakui  - 20/8/20(木) 23:05 -
▼sugiさん:
お世話になりました、結果的には gheron141,LP_COUNT等 ruby外変は
動きました。
ただ過程は大変で、siegel さんにならってシステム環境変数の
RUBYOPTの変数値を空欄にしようとしても、私はダイアログからの
入力しかできないからか、空欄にした時点でOKがグレー表示で先に
進めず、一途の期待でsugiさんの言われるgHeron.batの書き直しでも
ruby:Illegal switch in RUBYOPT: -E(Runtime Error)で未実行でした。
あきらめようとも思ったのですが、
1.windowsの復元(100分)
2.ruby192p290インストール
3.tonboさんの言うようにActiverubyじゃなきゃとActiveRuby187を
  どこに入れようか迷った末、ruby192 に入れ
4.そこに vrubyとvrswinからのlib,doc だったかをコピー貼り付け。
5.確かこれでもまだ未実行なので、gheron.batの書き換え。
6.これでやっと実行可!!。
何とかです。
環境変数の変数値を空欄にできれば、*.batを書き換えなくていいのでしょうが、とりあえずはめでたいので良しとします。
長々とお付き合いいただき感謝です。
また、長文申し訳ありませんでした。
また宜しくお願いします。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.125 Safari/537.36@p3076132-ipoe.ipoe.ocn.ne.jp>
・ツリー全体表示

Re:外変Ruby導入
 wakui  - 20/8/21(金) 11:31 -
追加です。

システム環境変数のRUBYOPTの変数値を空欄にする件ですが、
スペースを入れ、エンターで空欄にする感じで、OK出来て
それぞれの bat を書き換えずとも実行できるようでした。

引用なし

パスワード


<Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.135 Safari/537.36@p22021-ipngnfx01morioka.iwate.ocn.ne.jp>
・ツリー全体表示

42 / 347 ツリー    ←次へ | 前へ→
  新規投稿 ┃ツリー表示 ┃スレッド表示 ┃一覧表示 ┃トピック表示 ┃番号順表示 ┃検索 ┃設定 ┃過去ログ ┃ホーム  
 783223
ページ:  ┃  記事番号:  

C-BOARD Moyuku v1.03b3
Jw_cad Copyright (C)1997-2016 Jiro Shimizu & Yoshifumi Tanaka